diff --git a/Makefile b/Makefile
index df9d03fb53ba382cf31b6221438b1bd6eb2bc2ee..7bfa06f89a5c19f9b279f65875196f870b6f88c7 100644
--- a/Makefile
+++ b/Makefile
@@ -17,7 +17,7 @@ clean: Makefile.coq
 
 # Create Coq Makefile. POSIX awk can't do in-place editing, but coq_makefile wants the real filename, so we do some file gymnastics.
 Makefile.coq: _CoqProject Makefile awk.Makefile
-	coq_makefile $(COQ_MAKEFILE_FLAGS) -f _CoqProject -o Makefile.coq
+	coq_makefile -f _CoqProject -o Makefile.coq
 	mv Makefile.coq Makefile.coq.tmp && awk -f awk.Makefile Makefile.coq.tmp > Makefile.coq && rm Makefile.coq.tmp
 
 # Install build-dependencies
diff --git a/build/opam-pins.sh b/build/opam-pins.sh
index aafd133f2e420f9f6fa737ad654482b6b70c1a58..5291cb234701dbaba66e19717a4ef242fc9e83e8 100755
--- a/build/opam-pins.sh
+++ b/build/opam-pins.sh
@@ -4,7 +4,7 @@ set -e
 ## Usage:
 ##   ./opam-pins.sh < opam.pins
 
-if ! which curl; then
+if ! which curl >/dev/null; then
     echo "opam-pins needs curl. Please install curl and try again."
     exit 1
 fi